var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
  var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
  if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
  else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
  return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { MapToComponentField, VegaSlimmer } from 'vega-slimmer/core';
import { h } from '@stencil/core';
export class VegaTableFootRowRenderer extends VegaSlimmer {
  constructor() {
    super(...arguments);
    this.renderFooterSelectionCell = () => {
      if (this.selectionType !== 'multiple')
        return;
      return h("td", { class: "vega-table-selection-column" });
    };
    this.renderFooterExpandableCell = () => {
      return this.expandable && h("td", { class: "vega-table-expand-action-column" });
    };
  }
  render() {
    return (h("tr", null,
      h("td", { style: { width: this.paddingX[0] } }),
      this.renderFooterSelectionCell(),
      h("slot", null),
      this.renderFooterExpandableCell(),
      h("td", { style: { width: this.paddingX[1] } })));
  }
}
__decorate([
  MapToComponentField()
], VegaTableFootRowRenderer.prototype, "host", void 0);
__decorate([
  MapToComponentField()
], VegaTableFootRowRenderer.prototype, "paddingX", void 0);
__decorate([
  MapToComponentField()
], VegaTableFootRowRenderer.prototype, "selectionType", void 0);
__decorate([
  MapToComponentField()
], VegaTableFootRowRenderer.prototype, "expandable", void 0);
